Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#1Messageil y a 5 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour importante en nombre de paquets est annoncée
  • Firefox passe en version 71
  • Tous les paquets python recompilés avec la version 3.8
  • Suppression du paquet compton mais picom le remplace
  • Nouvelle version de pamac 9.2.0 qui apporte des options avancées en cli et de nouveaux réglages en gui
  • Mise à jour de plasma 5.17.4
  • Quelques corrections à Cinnamon
  • gtk3-classic passe dans aur
  • catalyst est définitivement abandonné
  • Correctifs pour alsa-lib
  • Les mises à jour amont habituelles et nos noyaux
Heureux possesseurs de carte nvidia ... Attention avec le driver propriétaire, le noyau 5.4 est à éviter pour l'instant si vous désirez utiliser le mode graphique :wink:

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


Passage à python 3.8
Il est possible que certains paquets python venant de aur demandent à être réinstallés (même si pas de nouvelle version)
Cette commande va lister les paquets maintenant non compatibles avec notre système
pacman -Qo /usr/lib/python3.7/site-packages/

-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu
-------------------------------------------------------------------------------------

État des miroirs actuellement :
-------------------------------------------------------------------------------------

Noyaux pris en charge :
  • linux316 3.16.78-1
  • linux44 4.4.206-1
  • linux49 4.9.206-1
  • linux414 4.14.158-1
  • linux419 (linux-lts) 4.19.88-1
  • linux53 5.3.15-1
  • linux54 (linux-latest) 5.4.2-1
  • linux419-rt 4.19.72_rt26
  • linux52-rt 5.2.21_rt14
Les changements en détail :
  • community x86_64: 3236 nouveaux et 3163 paquets retirés
  • core x86_64: 221 nouveaux et 223 paquets retirés
  • extra x86_64: 1020 nouveaux et 1033 paquets retirés
  • multilib x86_64: 36 nouveaux et 46 paquets retirés
Une liste détaillée de toutes les modifications est disponible ici.

54 paquets supprimés:

catalyst-*** compton cor gtk3-classic python2-***
131 nouveaux paquets:

breath2-icon-themes:  breath2 icon theme
breath2-wallpaper:  breath2 wallpaper
dialer:  Contacts manager and dialer
gnome-online-accounts:  Single sign-on framework for GNOME
koko:  Image Gallery
linux54-***: 4 modules pour linux 5.4
manjaro-cloudbuild:  Manjaro cloud build tool
ncompress:  a fast, simple LZW file compressor
osquery:  SQL powered operating system instrumentation, monitoring, and analytics
peruse:  A comic book viewer based on Frameworks 5, for use on multiple form factors.
picom:  X compositor that may fix tearing issues
plasma5-themes-breath2:  breath2 theme for KDE Plasma 5
sddm-breath2-theme:  breath2 theme for SDDM
timezonemap:  Gtk3 timezone map widget, forked from gnome which forked from Ubiquity
...

-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#2Messageil y a 5 mois

pas très bien passé chez moi (cinnamon : 440 paquets)
conflit de fichiers entre libtimezonemap (déjà installé) et timezonemap (nouveau paquet) :snif
donc un petit pacman -Rdd libtimezonemap pour moi avant de la relancer

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#3Messageil y a 5 mois

:bjr:
Apparemment nickel . A voir à l'usage. Quelques 400 paquets.
Bravo Mrs les dev's :clap:clap
et Merci pour ce boulot
:merci::merci:

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#4Messageil y a 5 mois

Manjaro Architect Gnome minimum Mise a jour OK !

Du tout BON !! :wink:

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#5Messageil y a 5 mois

Bonjour
Un tout petit peu plus d'un giga de MAJ chez moi. Ça fait drôle, je ne suis pas habitué à ça ! Aucun soucis pendant et après la MAJ :bien

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#6Messageil y a 5 mois

@Kristen
En fait nous avons eu la même chose avec arch : 2 grosses maj il y a 15 jours avec icu et tous les paquets python qui passent à 3.8 :wink:
mais oui, en stable nous avons des mises à jours conséquentes par rapport à archlinux

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#7Messageil y a 5 mois

Aucun soucis de mon coté.

Merci pour cette maj

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#8Messageil y a 5 mois

Bonjour !

Zou 3.7go de mise à jour sur ma tour et 1.7 go sur mon portable. Que du bonheur !
Tout roule parfaitement et donc VBox et donc Blender 2.81 et donc et donc ^^

Mais que penser du noyau 5.4 proposé ? il est stable ?

Merci encore à toute l'équipe, je vais aller voir mon GUL ce soir avec plaisir avec une bécane bien mise à jour ^^

stéphane.

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#9Messageil y a 5 mois

Tout à l'airde rouler.
- Sous XFCE : 709 paquets mis à jour ;
- Sous KDE : 535 paquets mis à jour.
Après avoir redémarré, tout semble nickel.

Merci à tous.

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#10Messageil y a 5 mois

Lors de certain réglages je viens de voir que compton n'est plus dans les dépots mais picom est mis pour le remplacer.
Pourquoi avoir retirer compton et pourquoi ne pas simplement avoir rajouter picom dans les liste des paquets ?

Ps : Obligatoire de faire un -Syyuu sinon ranger ne marche tout simplement plus :lol:

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#11Messageil y a 5 mois

Salut,
MAJ impeccable sur Deepin. Redémarrage et test de Firefox et quelques autres programmes sans soucis. :bien:bien

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#12Messageil y a 5 mois


[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#13Messageil y a 5 mois

Bonjour stéphane et merci de ces précisions !

J'ai tenté le 5.4 et pas de xorg et retour à la console. Je n'ai pas cherché plus loin et me suis remis en 5.3 qui me suffit bien. Sinon testé vbox et autres, aucun soucis tout roule !

Très bonne soirée à toi, à tous.

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#14Messageil y a 5 mois

Bonsoir à tous,

Tout à l'heure j'avais 148 paquets en attente de mise à jour, je me suis dis "Vite fais la MAJ avant que celle du 10 décembre n'arrive !" et là je viens de voir passer 508 paquets...
J'imagine donc que tout a été fait en même temps :?: Firefox 71 effectivement semble là...
Gros risque pour moi lorsqu'on connaît ma "novicité" :oops: mais çà a l'air d'aller, ouf :roll:
Belle soirée à tous et merci pour tout ce travail (on se répète mais voilà quoi :merci: )
:bjr:

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#15Messageil y a 5 mois

probleme sur le portable ou la tour pour le noyau 5.4 ?

il faut savoir lorsque cela touche glib ou gcc en version , tout est à recompiler dans ce cas

*** attention Noyau 5.4 & Nvidia ****
suite à la dernière sortie en Stable certains ont des soucis en noyau 5.4 , donc restez dans l'immediat
en version 5.3 ou antérieur il y aura sûrement une correction rapidement

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#16Messageil y a 5 mois

Salux,

Mise à jour effectué et en ordre de marche :)

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#17Messageil y a 5 mois

@stéphane

et bien le problème était sur la tour, je suis repassé en 5.3 et zou plus de problème. oui j'ai une 1660gtx. bref oui ça m'a étonné mais j'attendrai que cela aille mieux du coté de ce kernel car je n'ai aucune connaissance dans ce domaine (et pas que celui là ^^). Bref j'attendrai !

bonne soirée à toi et merci encore.

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#18Messageil y a 5 mois

Je vais essayer ce soir de passer en 5.4 pour essayer.

De toute manière, s'il est encore trop instable, je repasserai en 5.3.

Je l'avais déjà installé il y a deux semaines, pas trop de problème, mais le souci majeur était qu'il refusait de monter mon /home : cherchez pourquoi...

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#19Messageil y a 5 mois

:salut:
Mise a jours Manjaro Gnome Ok sur trois postes 1 fixe (MSI+I5 +Nvidia) et 2 portables(Dell I5 et HP spectre I5)
rien a signaler pour le moment :clap

[Stable] Mise à jour 10/12/2019 - python, firefox, pamac

#20Messageil y a 5 mois

Bonjour,

problème après passage à python 3.8 : plus de module pygame.
J'essaye de réinstaller mais ça marche pas:

pip3 install pygame
Collecting pygame
  Using cached https://files.pythonhosted.org/packages/0f/9c/78626be04e193c0624842090fe5555b3805c050dfaa81c8094d6441db2be/pygame-1.9.6.tar.gz
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-9kbd_1kf/pygame/setup.py'"'"'; __file__='"'"'/tmp/pip-install-9kbd_1kf/pygame/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
         cwd: /tmp/pip-install-9kbd_1kf/pygame/
    Complete output (18 lines):
    
    
    WARNING, No "Setup" File Exists, Running "buildconfig/config.py"
    Using UNIX configuration...
    
    
    Hunting dependencies...
    SDL     : found 1.2.15
    FONT    : not found
    IMAGE   : not found
    MIXER   : not found
    PNG     : found
    JPEG    : found
    SCRAP   : found
    PORTMIDI: not found
    PORTTIME: not found
    FREETYPE: found 23.1.17
    Missing dependencies
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
Résolu en installant pyenv !
Dernière modification par cassetateleil y a 5 mois, modifié au total 1 fois.

Répondre